aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--doc/external-resource-links.bb1
-rwxr-xr-xutil/add_addon_repo36
-rwxr-xr-xutil/add_theme_repo37
3 files changed, 74 insertions, 0 deletions
diff --git a/doc/external-resource-links.bb b/doc/external-resource-links.bb
index 2e6df63aa..5d6123565 100644
--- a/doc/external-resource-links.bb
+++ b/doc/external-resource-links.bb
@@ -6,6 +6,7 @@
[*][url=https://github.com/omigeot/redstrap3]Redstrap[/url]
[*][url=https://bitbucket.org/tobiasd/red-clean]Clean[/url]
[*][url=https://github.com/tonybaldwin/redmatrixthemes/]nubasic[/url]
+[*][url=https://github.com/deadsuperhero/redmatrix-themes]Sean Tilley's Redmatrix themes[/url]
[b]Third-Party Addons[/b]
[*][url=https://abcentric.net/git/abcjsplugin.git]ABCjs integration - display scores in posts (WIP)[/url]
diff --git a/util/add_addon_repo b/util/add_addon_repo
new file mode 100755
index 000000000..1425143bb
--- /dev/null
+++ b/util/add_addon_repo
@@ -0,0 +1,36 @@
+#!/bin/sh -f
+
+if [ $# -eq '3' ]; then
+ echo usage: $0 repo_url nickname
+ exit 1
+fi
+
+mkdir -p extend/addon/$2
+git clone $1 extend/addon/$2
+if [ $? -eq '0' ]; then
+ exit $?
+fi
+
+filelist=(`ls extend/addon/$2`)
+
+cd addon
+for a in "${filelist[@]}" ; do
+ base=`basename $a`
+ if [ $base = '.git' ]; then
+ echo 'ignoring git'
+ continue;
+ fi
+ if [ ! -d ../extend/addon/$2/$base ]; then
+ echo $a 'not a directory'
+ continue;
+ fi
+ echo linking $base
+ if [ -x $base ]; then
+ echo $base 'file exists'
+ continue;
+ fi
+
+ ln -s ../extend/addon/$2/$base $base
+done
+
+
diff --git a/util/add_theme_repo b/util/add_theme_repo
new file mode 100755
index 000000000..fe4384604
--- /dev/null
+++ b/util/add_theme_repo
@@ -0,0 +1,37 @@
+#!/bin/sh -f
+
+
+if [ $# -eq '3' ]; then
+ echo usage: $0 repo_url nickname
+ exit 1
+fi
+
+mkdir -p extend/theme/$2
+git clone $1 extend/theme/$2
+if [ $? -eq '0' ]; then
+ exit $?
+fi
+
+filelist=(`ls extend/theme/$2`)
+
+cd view/theme
+for a in "${filelist[@]}" ; do
+ base=`basename $a`
+ if [ $base = '.git' ]; then
+ echo 'ignoring git'
+ continue;
+ fi
+ if [ ! -d ../../extend/theme/$2/$base ]; then
+ echo $a 'not a directory'
+ continue;
+ fi
+ echo linking $base
+ if [ -x $base ]; then
+ echo $base 'file exists'
+ continue;
+ fi
+
+ ln -s ../../extend/theme/$2/$base $base
+done
+
+